import {connect} from 'react-redux';
import ScaleTable from '@components/ScaleTable';
import {getFormulaResult} from '@store/async-actions/fetchModules.js'

function mapStateToProps (state){
  return {
    scaleInfo: state.pushMessage.scaleInfo,//量表内容
    formulaResult:state.pushMessage.formulaResult //计算结果
  }
}

function mapDispatchToProps (dispatch){
  return {
    getResult(obj){//计算结果
      dispatch(getFormulaResult(obj));
    }
  }
}

const ScaleTableContainer = connect(mapStateToProps,mapDispatchToProps)(ScaleTable);
export default ScaleTableContainer;